--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: options
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: "[]"
- !ruby/object:RI::MethodSummary 
  name: desc
- !ruby/object:RI::MethodSummary 
  name: group
- !ruby/object:RI::MethodSummary 
  name: group_name
- !ruby/object:RI::MethodSummary 
  name: inherited
- !ruby/object:RI::MethodSummary 
  name: install_task
- !ruby/object:RI::MethodSummary 
  name: map
- !ruby/object:RI::MethodSummary 
  name: maxima
- !ruby/object:RI::MethodSummary 
  name: method_added
- !ruby/object:RI::MethodSummary 
  name: method_options
- !ruby/object:RI::MethodSummary 
  name: new
- !ruby/object:RI::MethodSummary 
  name: opts
- !ruby/object:RI::MethodSummary 
  name: package_task
- !ruby/object:RI::MethodSummary 
  name: register_klass_file
- !ruby/object:RI::MethodSummary 
  name: spec_task
- !ruby/object:RI::MethodSummary 
  name: start
- !ruby/object:RI::MethodSummary 
  name: subclass_files
- !ruby/object:RI::MethodSummary 
  name: subclasses
- !ruby/object:RI::MethodSummary 
  name: tasks
comment: 
- !ruby/struct:SM::Flow::P 
  body: This is a modified version of Daniel Berger's Getopt::Long class, licensed under Ruby's license.
constants: []

full_name: Thor
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: help
name: Thor
superclass: Object
